org.apache.struts2.views.velocity

## Class StrutsResourceLoader

- java.lang.Object
- - org.apache.velocity.runtime.resource.loader.ResourceLoader
  - - org.apache.velocity.runtime.resource.loader.ClasspathResourceLoader
    - - org.apache.struts2.views.velocity.StrutsResourceLoader

-     public class StrutsResourceLoader
      extends org.apache.velocity.runtime.resource.loader.ClasspathResourceLoader

  Loads resource from the Thread's context ClassLoader. FIXME: remove?

- - ### Field Summary

    - ### Fields inherited from class org.apache.velocity.runtime.resource.loader.ResourceLoader

      `className, isCachingOn, log, modificationCheckInterval, rsvc`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StrutsResourceLoader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InputStream` | `getResourceStream(String name)`

    - ### Methods inherited from class org.apache.velocity.runtime.resource.loader.ClasspathResourceLoader

      `getLastModified, init, isSourceModified`

    - ### Methods inherited from class org.apache.velocity.runtime.resource.loader.ResourceLoader

      `commonInit, getClassName, getModificationCheckInterval, isCachingOn, resourceExists, setCachingOn, setModificationCheckInterval`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StrutsResourceLoader

          public StrutsResourceLoader()

  - ### Method Detail

    - #### getResourceStream

          public InputStream getResourceStream(String name)
                                        throws org.apache.velocity.exception.ResourceNotFoundException

      Overrides:
        `getResourceStream` in class `org.apache.velocity.runtime.resource.loader.ClasspathResourceLoader`
      Throws:
        `org.apache.velocity.exception.ResourceNotFoundException`

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.